
Redmine - Patch #25014

redmine/i18n.rb - languages_lookup class variable is rebuilt every time

2017-02-06 11:56 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 3.4.0   

Description

the @@languages_lookup variable in redmine/i18n.rb appears to be intended as a cache but is assigned to a new value everytime

find_language is called.

Attached patch fixes this by using ||= instead of =.

Associated revisions

Revision 16349 - 2017-03-02 20:42 - Jean-Philippe Lang

Turns @@languages_lookup into a cache by using ||= (#25014).

Patch by Jens Kraemer.

History

#1 - 2017-02-06 14:20 - Go MAEDA

- Target version set to 3.4.0

Since find_language method is called on every request, I think caching values is reasonable.

Setting target version to 3.4.0.

#2 - 2017-03-02 20:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks for the fix.
